// SPDX-License-Identifier: MIT
// SPDX-FileCopyrightText: 2025 Loïc Le Page <llepage@igalia.com>

#pragma once

#include "Mesh.h"

#include <memory>

class CubeMesh final : public Mesh
{
  public:
    static std::unique_ptr<CubeMesh> create() noexcept;

  private:
    CubeMesh() = default;
};
